#!/bin/bash
pushd /u01/app/iii/dbmon > /dev/null
CP=WIN1250
if [[ "$NLS_LANG" == *"$CP" ]]
then
   EXPTYPE="$(grep type:  application.yaml |  awk  '{print $2}')"
   if [[ "$EXPTYPE" != "rman" ]] 
   then
      LOG=$(grep log:  application.yaml | awk  '{print $2}'  )
      LOG="$(echo -e  "${LOG}" | tr -d '[:space:]')"
      iconv -f windows-1250  -t iso-8859-2  -o export.tmp $LOG 
      mv export.tmp $LOG
   fi
fi    
jre/bin/java   -jar dbmon.client.jar $1
popd > /dev/null